package com.multictrl.modules.business.service;

import com.multictrl.common.utils.Result;
import com.multictrl.modules.business.dto.multi.MultiDockDTO;
import com.multictrl.modules.business.dto.multi.MultiGroupDTO;
import com.multictrl.modules.business.dto.multi.MultiGroupDeviceDTO;
import com.multictrl.modules.business.dto.multi.MultiTaskDTO;
import com.multictrl.modules.business.entity.DockEntity;
import java.util.List;

/**
 * 阿罗斯机场 蛙跳 充电机库 Ars550 换电机库 Ars600
 *
 * @author 张闯
 * @since 2026-05-28
 */
public interface MultiService {

    List<MultiDockDTO> getDockList();

    void saveMultiGroup(MultiGroupDTO multiGroupDTO);

    void saveMultiGroupDevice(MultiGroupDeviceDTO multiGroupDeviceDTO);

    void updateMultiGroup(MultiGroupDTO multiGroupDTO);

    void updateMultiGroupDevice(MultiGroupDeviceDTO multiGroupDeviceDTO);

    String privateMultiDockTaskFlightTaskCheck(MultiTaskDTO multiTaskDTO);

    String privateMultiDockFlightTaskOutbound(MultiTaskDTO multiTaskDTO);

    String privateMultiDockFlightTaskInbound(MultiTaskDTO multiTaskDTO);

}
